bozolino
Posts: 7
Joined: Sat Jan 19, 2013 12:43 am

focuswriter 1.3.8. or newer?

Wed Mar 13, 2013 4:12 pm

i have installed focuswriter with
apt-get install focuswriter

however it's version 1.3.6, and it lacks a feature (line spacing) which i really need.

can anyone please tell me how to get 1.3.8 or newer (current version is 1.4.1) compiled and/or running on the raspi?

focuswriter linux page is here:

http://software.opensuse.org/download/p ... 3Agottcode

any help is much appreciated... thanks !

Spid
Posts: 525
Joined: Sat Jan 19, 2013 12:47 pm

Re: focuswriter 1.3.8. or newer?

Wed Mar 13, 2013 5:00 pm

They appear to only offer a version 1.41 for i386 Intel focuswriter_1.4.1-7_i386.deb"

1.3.6 is the latest Debian version http://packages.debian.org/wheezy/focuswriter


Found the source code is available from: http://gottcode.org/focuswriter

Source how to: http://www.tuxfiles.org/linuxhelp/softinstall.html
I will always assume you are running Raspbian for desktop and Raspbmc for XMBC !

bozolino
Posts: 7
Joined: Sat Jan 19, 2013 12:43 am

Re: focuswriter 1.3.8. or newer?

Thu Mar 14, 2013 12:48 pm

@ Spid: thanks for pointing me in the right direction!

i also learned that Focuswriter is a QT application and needs qmake to compile.

this is what i did so far:

Code: Select all

sudo apt-get update
sudo apt-get install qt4-qmake
sudo apt-get install enchant
cd /tmp
wget http://gottcode.org/focuswriter/focuswriter-1.4.1-src.tar.bz2
tar xvjf focuswriter-1.4.1-src.tar.bz2
cd focuswriter-1.4.1
qmake
qmake then replies with this error:
Project ERROR: Package enchant not found
any idea how i should proceed?

Spid
Posts: 525
Joined: Sat Jan 19, 2013 12:47 pm

Re: focuswriter 1.3.8. or newer?

Thu Mar 14, 2013 7:27 pm

I will always assume you are running Raspbian for desktop and Raspbmc for XMBC !

bozolino
Posts: 7
Joined: Sat Jan 19, 2013 12:43 am

Re: focuswriter 1.3.8. or newer?

Fri Mar 15, 2013 1:47 pm

SUCCESS! focuswriter 1.4.1 is now on my raspi. thanks to you guys here on the forum and to focuswriter developer grame gott who guided me through the process.

maybe the raspi repos could be updated to include this current version?

here's a command line step-by-step:

Code: Select all

sudo apt-get update
sudo apt-get install qt4-qmake libqt4-dev libenchant-dev libzip-dev libqt4-dev
cd /tmp
wget http://gottcode.org/focuswriter/focuswriter-1.4.1-src.tar.bz2
tar xvjf focuswriter-1.4.1-src.tar.bz2
cd focuswriter-1.4.1
qmake
make
sudo make install
Last edited by bozolino on Fri Mar 15, 2013 2:12 pm, edited 1 time in total.

Spid
Posts: 525
Joined: Sat Jan 19, 2013 12:47 pm

Re: focuswriter 1.3.8. or newer?

Fri Mar 15, 2013 2:05 pm

Great news, so all that was missing was some libraries, libqt4-dev libenchant-dev libzip-dev libqt4-dev !!
I will always assume you are running Raspbian for desktop and Raspbmc for XMBC !

JollyRoger
Posts: 154
Joined: Wed Feb 01, 2012 9:48 am

Re: focuswriter 1.3.8. or newer?

Sat Mar 16, 2013 7:55 am

Thanks for the step-by-step guide, bozolino. These tips are really useful.

JollyRoger
Posts: 154
Joined: Wed Feb 01, 2012 9:48 am

Re: focuswriter 1.3.8. or newer?

Sat Mar 16, 2013 5:55 pm

I have today tried to download and install the latest FocusWriter, using the steps detailed by bozolino. Unfortunately it failed at the 'qmake' step. There seems to be a missing dependency.

bozolino
Posts: 7
Joined: Sat Jan 19, 2013 12:43 am

Re: focuswriter 1.3.8. or newer?

Sat Mar 16, 2013 6:13 pm

JollyRoger wrote:I have today tried to download and install the latest FocusWriter, using the steps detailed by bozolino. Unfortunately it failed at the 'qmake' step. There seems to be a missing dependency.
what does qmake say?

JollyRoger
Posts: 154
Joined: Wed Feb 01, 2012 9:48 am

Re: focuswriter 1.3.8. or newer?

Mon Mar 18, 2013 11:31 am

Thanks for replying, Bozolino.

Unfortunately I didn't make a note of the error message, and there was such a huge load of stuff that got installed before the error arose (and which I subsequently had to get rid of), that I don't feel inclined to repeat the process. Using FocusWriter is not particularly critical to me - I made the request (in another thread) for the repository to be updated with Focus 1.4 on behalf of the community at large rather than for me personally.

Regards

bozolino
Posts: 7
Joined: Sat Jan 19, 2013 12:43 am

Re: focuswriter 1.3.8. or newer?

Mon Mar 18, 2013 1:51 pm

thank you JollyRoger!

Return to “Advanced users”